import java.awt.*;
import java.awt.event.*;

class Controls extends Panel 
    implements ActionListener
{
    DrawingArea drawArea;
    Button reset;

    public Controls(DrawingArea d)
    {
	drawArea = d;
	Util.assert(d != null, "Controls()");

	reset = new Button("reset");
	reset.setActionCommand(reset.getLabel());
	reset.addActionListener(this);
	add(reset);
    }
    
    public synchronized void actionPerformed(ActionEvent e) 
    {
	if(e.getActionCommand().equals(reset.getLabel()))
	    resetEverything();
    }

    public synchronized void resetEverything()
    {
	drawArea.initialize();
    }
}


